org.apache.cassandra.gms

## Interface GossiperMBean

- All Known Implementing Classes:
    Gossiper

      public interface GossiperMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assassinateEndpoint(java.lang.String address)`
    `int` | `getCurrentGenerationNumber(java.lang.String address)`
    `long` | `getEndpointDowntime(java.lang.String address)`
    `void` | `unsafeAssassinateEndpoint(java.lang.String address)`

- - ### Method Detail

    - #### getEndpointDowntime

          long getEndpointDowntime(java.lang.String address)
                            throws java.net.UnknownHostException

      Throws:
        `java.net.UnknownHostException`

    - #### getCurrentGenerationNumber

          int getCurrentGenerationNumber(java.lang.String address)
                                  throws java.net.UnknownHostException

      Throws:
        `java.net.UnknownHostException`

    - #### unsafeAssassinateEndpoint

          void unsafeAssassinateEndpoint(java.lang.String address)
                                  throws java.net.UnknownHostException

      Throws:
        `java.net.UnknownHostException`

    - #### assassinateEndpoint

          void assassinateEndpoint(java.lang.String address)
                            throws java.net.UnknownHostException

      Throws:
        `java.net.UnknownHostException`

Copyright © 2018 The Apache Software Foundation